Subject: Re: Two Conflicting Packages
To: Yosep <yoskim@NMSU.Edu>
From: James K. Lowden <>
List: tech-pkg
Date: 08/03/2003 14:34:53
On Mon, 28 Jul 2003 14:21:20 -0600 (MDT), Yosep <yoskim@NMSU.Edu> wrote:
> I am working on a package that depends on two packages that conflict
> each other.  Namely, iodbc and unixodbc are the packages.  Iodbc has a
> library(libiodbc.a) that I need for the package I am working on, whereas
> Unixodbc contains a header file (sqlucode.h) that I also need for the
> package.

iODBC and unixODBC are both ODBC driver managers.  They offer similar
functionality.  A package expecting an ODBC driver manager should accept
either one.  This sometimes entails a small amound of autoconf (or
similar) work.